Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053864 - [RFE] Provide a Foreman-compatible smart proxy for managing hosts and hostgroups
Summary: [RFE] Provide a Foreman-compatible smart proxy for managing hosts and hostgroups
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 20:57 UTC by Rob Crittenden
Modified: 2014-09-02 10:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 10:24:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rob Crittenden 2014-01-15 20:57:47 UTC
Description of problem:

A RESTful smart proxy is needed in order to support provisioning of IPA hosts from a Foreman. This will be an unauthenticated REST server which will be able to manage hosts and hostgroups in an IPA server.

Foreman Smart proxy wiki: http://projects.theforeman.org/projects/smart-proxy
IPA design: http://www.freeipa.org/page/V3/Smart_Proxy

Comment 2 Martin Kosek 2014-01-21 08:18:07 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4128

Comment 3 Petr Viktorin 2014-04-30 20:03:17 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/64dcb1ec76fa706320746720431ef815eb3e9ecd

Comment 6 Martin Kosek 2014-09-02 10:24:47 UTC
Closing the bug, instead of developing the Satellite proxy on our own, we will work with Satellite team on improving their native proxy capable of handling IPA. See https://bugzilla.redhat.com/show_bug.cgi?id=1084136#c49 for details.


Note You need to log in before you can comment on or make changes to this bug.